Loading...
Searching...
No Matches
insds Struct Reference

This struct holds the info for a concrete instrument event instance in performance. More...

`#include <csoundCore.h>`

## Data Fields

struct opds * | nxti
struct opds * | nxtp
struct insds * | nxtinstance
struct insds * | prvinstance
struct insds * | nxtact
struct insds * | prvact
struct insds * | nxtoff
FDCH * | fdchp
AUXCH * | auxchp
int | xtratim
MCHNBLK * | m_chnbp
struct insds * | nxtolap
int16 | insno
INSTRTXT * | instr
int16 | m_sust
unsigned char | m_pitch
unsigned char | m_veloc
char | relesing
char | actflg
double | offbet
double | offtim
void * | pylocal
CSOUND * | csound
uint64_t | kcounter
unsigned int | ksmps
MYFLT | ekr
MYFLT | onedksmps
MYFLT | onedkr
MYFLT | kicvt
struct opds * | pds
MYFLT | scratchpad [4]
void * | opcod_iobufs
void * | opcod_deact
void * | subins_deact
void * | nxtd
uint32_t | ksmps_offset
uint32_t | no_end
uint32_t | ksmps_no_end
MYFLT * | spin
MYFLT * | spout
int | init_done
int | tieflag
int | reinitflag
MYFLT | retval
MYFLT * | lclbas
char * | strarg
CS_VAR_MEM | p0
CS_VAR_MEM | p1
CS_VAR_MEM | p2
CS_VAR_MEM | p3

## Detailed Description

This struct holds the info for a concrete instrument event instance in performance.

## Field Documentation

## actflg

char insds::actflg

## auxchp

AUXCH* insds::auxchp

## csound

CSOUND* insds::csound

## ekr

MYFLT insds::ekr

## fdchp

FDCH* insds::fdchp

## init_done

int insds::init_done

## insno

int16 insds::insno

## instr

INSTRTXT* insds::instr

## kcounter

uint64_t insds::kcounter

## kicvt

MYFLT insds::kicvt

## ksmps

unsigned int insds::ksmps

## ksmps_no_end

uint32_t insds::ksmps_no_end

## ksmps_offset

uint32_t insds::ksmps_offset

## lclbas

MYFLT* insds::lclbas

## m_chnbp

MCHNBLK* insds::m_chnbp

## m_pitch

unsigned char insds::m_pitch

## m_sust

int16 insds::m_sust

## m_veloc

unsigned char insds::m_veloc

## no_end

uint32_t insds::no_end

## nxtact

struct insds* insds::nxtact

## nxtd

void* insds::nxtd

## nxti

struct opds* insds::nxti

## nxtinstance

struct insds* insds::nxtinstance

## nxtoff

struct insds* insds::nxtoff

## nxtolap

struct insds* insds::nxtolap

## nxtp

struct opds* insds::nxtp

## offbet

double insds::offbet

## offtim

double insds::offtim

## onedkr

MYFLT insds::onedkr

## onedksmps

MYFLT insds::onedksmps

## opcod_deact

void* insds::opcod_deact

## opcod_iobufs

void* insds::opcod_iobufs

## p0

CS_VAR_MEM insds::p0

## p1

CS_VAR_MEM insds::p1

## p2

CS_VAR_MEM insds::p2

## p3

CS_VAR_MEM insds::p3

## pds

struct opds* insds::pds

## prvact

struct insds* insds::prvact

## prvinstance

struct insds* insds::prvinstance

## pylocal

void* insds::pylocal

## reinitflag

int insds::reinitflag

## relesing

char insds::relesing

## retval

MYFLT insds::retval

## scratchpad

MYFLT insds::scratchpad[4]

## spin

MYFLT* insds::spin

## spout

MYFLT* insds::spout

## strarg

char* insds::strarg

## subins_deact

void * insds::subins_deact

## tieflag

int insds::tieflag

## xtratim

int insds::xtratim